Get Campaign Runs
Retrieve individual call records for each contact in a campaign
Returns the individual call records for each contact in the campaign. Each record includes the same fields as a workflow run, including call status, duration, transcript, and recording URL.
GET
/api/v1/campaign/{campaign_id}/runsParameters#
| Name | Located in | Type | Required | Description |
|---|---|---|---|---|
campaign_id | path | integer | Yes | — |
page | query | integer | No | — |
limit | query | integer | No | — |
filters | query | string | No | JSON-encoded filter criteria |
sort_by | query | string | No | Field to sort by (e.g., 'duration', 'created_at') |
sort_order | query | string | No | Sort order ('asc' or 'desc') |
Responses#
200 — Successful Response
{
"runs": [
{}
],
"total_count": 0,
"page": 0,
"limit": 0,
"total_pages": 0
}404 — Not found
422 — Validation Error
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}